Membros da equipe
GET https://perfil.io/api/team-members/{team_id}
curl --request GET \
--url 'https://perfil.io/api/team-members/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://perfil.io/api/team-members/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": [
{
"id": 1,
"team_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-06-13 02:24:45",
"last_datetime": null
}
]
}
POST https://perfil.io/api/teams
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| team_id | Obrigatório Inteiro | - |
| user_email | Obrigatório Cadeia de caracteres | - |
| access | Opcional Cadeia de caracteres Matriz |
read.allcreate.vcards, create.vcards_blocks, create.projects, create.pixelsupdate.vcards, update.vcards_blocks, update.projects, update.pixelsdelete.vcards, delete.vcards_blocks, delete.projects, delete.pixels |
curl --request POST \
--url 'https://perfil.io/api/team-members' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'team_id=1' \
--form 'user_email=hello@example.com' \
--url 'https://perfil.io/api/team-members' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'team_id=1' \
--form 'user_email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://perfil.io/api/team-members/{team_member_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| access | Opcional Cadeia de caracteres Matriz |
read.allcreate.vcards, create.vcards_blocks, create.projects, create.pixelsupdate.vcards, update.vcards_blocks, update.projects, update.pixelsdelete.vcards, delete.vcards_blocks, delete.projects, delete.pixels |
curl --request POST \
--url 'https://perfil.io/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'access[]=create' \
--form 'access[]=update' \
--url 'https://perfil.io/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'access[]=create' \
--form 'access[]=update' \
{
"data": {
"id": 1
}
}
DELETE https://perfil.io/api/team-members/{team_member_id}
curl --request DELETE \
--url 'https://perfil.io/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://perfil.io/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \